Percona Server with XtraDB

funcs_1.is_tables_is fails on 12.4

Reported by Aleksandr Kuzminsky on 2010-12-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server
Undecided
Aleksandr Kuzminsky

Bug Description

funcs_1.is_tables_is [ fail ]
        Test ended at 2010-12-21 10:52:18

CURRENT_TEST: funcs_1.is_tables_is
--- /home/buildbot/slaves/percona-server-51-12/CentOS-5-x86-RPM_CentOS_5_x86_64/work/BUILD/Percona-Server/mysql-test/suite/funcs_1/r/is_tables_is.result 2010-11-03 17:19:46.000000000 +0300
+++ /home/buildbot/slaves/percona-server-51-12/CentOS-5-x86-RPM_CentOS_5_x86_64/work/BUILD/Percona-Server/mysql-test/suite/funcs_1/r/is_tables_is.reject 2010-12-21 18:52:18.000000000 +0300
@@ -38,6 +38,29 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
+TABLE_NAME CLIENT_STATISTICS
+TABLE_TYPE SYSTEM VIEW
+ENGINE MEMORY
+VERSION 10
+ROW_FORMAT Fixed
+TABLE_ROWS #TBLR#
+AVG_ROW_LENGTH #ARL#
+DATA_LENGTH #DL#
+MAX_DATA_LENGTH #MDL#
+INDEX_LENGTH #IL#
+DATA_FREE #DF#
+AUTO_INCREMENT NULL
+CREATE_TIME #CRT#
+UPDATE_TIME #UT#
+CHECK_TIME #CT#
+TABLE_COLLATION utf8_general_ci
+CHECKSUM NULL
+CREATE_OPTIONS #CO#
+TABLE_COMMENT #TC#
+user_comment
+Separator -----------------------------------------------------
+TABLE_CATALOG NULL
+TABLE_SCHEMA information_schema
 TABLE_NAME COLLATIONS
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
@@ -222,7 +245,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME GLOBAL_VARIABLES
+TABLE_NAME GLOBAL_TEMPORARY_TABLES
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -245,7 +268,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME KEY_COLUMN_USAGE
+TABLE_NAME GLOBAL_VARIABLES
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -268,11 +291,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME PARTITIONS
+TABLE_NAME INDEX_STATISTICS
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -291,11 +314,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME PLUGINS
+TABLE_NAME INNODB_BUFFER_POOL_PAGES
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -314,11 +337,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME PROCESSLIST
+TABLE_NAME INNODB_BUFFER_POOL_PAGES_BLOB
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -337,7 +360,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME REFERENTIAL_CONSTRAINTS
+TABLE_NAME INNODB_BUFFER_POOL_PAGES_INDEX
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -360,11 +383,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME ROUTINES
+TABLE_NAME INNODB_CMP
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -383,7 +406,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME SCHEMATA
+TABLE_NAME INNODB_CMPMEM
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -406,7 +429,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME SCHEMA_PRIVILEGES
+TABLE_NAME INNODB_CMPMEM_RESET
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -429,7 +452,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME SESSION_STATUS
+TABLE_NAME INNODB_CMP_RESET
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -452,7 +475,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME SESSION_VARIABLES
+TABLE_NAME INNODB_INDEX_STATS
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -475,7 +498,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME STATISTICS
+TABLE_NAME INNODB_LOCKS
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -498,7 +521,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME TABLES
+TABLE_NAME INNODB_LOCK_WAITS
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -521,7 +544,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME TABLE_CONSTRAINTS
+TABLE_NAME INNODB_RSEG
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -544,7 +567,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME TABLE_PRIVILEGES
+TABLE_NAME INNODB_SYS_INDEXES
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -567,11 +590,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME TRIGGERS
+TABLE_NAME INNODB_SYS_STATS
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -590,7 +613,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME USER_PRIVILEGES
+TABLE_NAME INNODB_SYS_TABLES
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -613,11 +636,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME VIEWS
+TABLE_NAME INNODB_TABLE_STATS
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -634,26 +657,9 @@
 TABLE_COMMENT #TC#
 user_comment
 Separator -----------------------------------------------------
-DROP USER testuser1@localhost;
-CREATE USER testuser1@localhost;
-GRANT SELECT ON test1.* TO testuser1@localhost;
-# Establish connection testuser1 (user=testuser1)
-SELECT *,
-LEFT( table_comment,
-IF(INSTR(table_comment,'InnoDB free') = 0
-AND INSTR(table_comment,'number_of_replicas') = 0,
-LENGTH(table_comment),
-INSTR(table_comment,'InnoDB free')
-+ INSTR(table_comment,'number_of_replicas') - 1))
-AS "user_comment",
-'-----------------------------------------------------' AS "Separator"
-FROM information_schema.tables
-WHERE table_schema = 'information_schema'
-AND table_name <> 'profiling'
-ORDER BY table_schema,table_name;
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME CHARACTER_SETS
+TABLE_NAME INNODB_TRX
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -676,7 +682,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME COLLATIONS
+TABLE_NAME KEY_COLUMN_USAGE
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -699,11 +705,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME COLLATION_CHARACTER_SET_APPLICABILITY
+TABLE_NAME PARTITIONS
 TABLE_TYPE SYSTEM VIEW
-ENGINE MEMORY
+ENGINE MyISAM
 VERSION 10
-ROW_FORMAT Fixed
+ROW_FORMAT Dynamic
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -722,7 +728,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME COLUMNS
+TABLE_NAME PLUGINS
 TABLE_TYPE SYSTEM VIEW
 ENGINE MyISAM
 VERSION 10
@@ -745,7 +751,30 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME COLUMN_PRIVILEGES
+TABLE_NAME PROCESSLIST
+TABLE_TYPE SYSTEM VIEW
+ENGINE MyISAM
+VERSION 10
+ROW_FORMAT Dynamic
+TABLE_ROWS #TBLR#
+AVG_ROW_LENGTH #ARL#
+DATA_LENGTH #DL#
+MAX_DATA_LENGTH #MDL#
+INDEX_LENGTH #IL#
+DATA_FREE #DF#
+AUTO_INCREMENT NULL
+CREATE_TIME #CRT#
+UPDATE_TIME #UT#
+CHECK_TIME #CT#
+TABLE_COLLATION utf8_general_ci
+CHECKSUM NULL
+CREATE_OPTIONS #CO#
+TABLE_COMMENT #TC#
+user_comment
+Separator -----------------------------------------------------
+TABLE_CATALOG NULL
+TABLE_SCHEMA information_schema
+TABLE_NAME QUERY_RESPONSE_TIME
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -768,7 +797,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME ENGINES
+TABLE_NAME REFERENTIAL_CONSTRAINTS
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -791,7 +820,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME EVENTS
+TABLE_NAME ROUTINES
 TABLE_TYPE SYSTEM VIEW
 ENGINE MyISAM
 VERSION 10
@@ -814,7 +843,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME FILES
+TABLE_NAME SCHEMATA
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -837,7 +866,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME GLOBAL_STATUS
+TABLE_NAME SCHEMA_PRIVILEGES
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -860,7 +889,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME GLOBAL_VARIABLES
+TABLE_NAME SESSION_STATUS
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -883,7 +912,7 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME KEY_COLUMN_USAGE
+TABLE_NAME SESSION_VARIABLES
 TABLE_TYPE SYSTEM VIEW
 ENGINE MEMORY
 VERSION 10
@@ -906,11 +935,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME PARTITIONS
+TABLE_NAME STATISTICS
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -929,11 +958,11 @@
 Separator -----------------------------------------------------
 TABLE_CATALOG NULL
 TABLE_SCHEMA information_schema
-TABLE_NAME PLUGINS
+TABLE_NAME TABLES
 TABLE_TYPE SYSTEM VIEW
-ENGINE MyISAM
+ENGINE MEMORY
 VERSION 10
-ROW_FORMAT Dynamic
+ROW_FORMAT Fixed
 TABLE_ROWS #TBLR#
 AVG_ROW_LENGTH #ARL#
 DATA_LENGTH #DL#
@@ -952,11 +981,11 @@

Changed in percona-server:
milestone: none → 5.1.53-12.4
assignee: nobody → Aleksandr Kuzminsky (akuzminsky)
status: New → In Progress
Changed in percona-server:
status: In Progress → Fix Committed
Changed in percona-server:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers